# $Revision: 1.17 $, $Date: 2005/12/30 11:57:04 $
%define		_pver	030117E
%define		ppfx	R1_2
Summary:	msession daemon - pseudo-database memory cache
Summary(pl):	Demon msession - pseudo-bazodanowe cache
Name:		msession
Version:	030130
Release:	3
Epoch:		1
License:	GPL
Group:		Networking/Daemons
#Source0Download:	http://devel.mohawksoft.com/downloads.html
Source0:	http://devel.mohawksoft.com/%{name}-%{version}.tar.gz
# Source0-md5:	68504332e95eca522f1aef59422b7e6c
#Source1Download:	http://devel.mohawksoft.com/downloads.html
Source1:	http://devel.mohawksoft.com/phoenix-%{ppfx}_%{_pver}.tar.gz
# Source1-md5:	098704fa107d5199f2ea1ac3371c0fc3
Patch0:		%{name}-plugindir.patch
Patch1:		%{name}-gcc4.patch
URL:		http://devel.mohawksoft.com/msession.html
BuildRequires:	libstdc++-devel
BuildRequires:	postgresql-devel
BuildRequires:	unixODBC-devel
Requires:	phoenix = %{epoch}:%{_pver}-%{release}
Obsoletes:	msession-pgsql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	%{ix86}

%define		specflags	-fno-strict-aliasing

%description
This is the msession daemon. It is a pseudo-database memory cache.
It is was originally designed for multiple web servers to share data.

%description -l pl
Ten pakiet zawiera demona msession. Udostpnia on pseudo-bazodanowe
cache przechowywane w pamici. Oryginalnie by projektowany w celu
wspdzielenia danych przez wiele serwerw WWW.

%package -n phoenix
Summary:	phoenix - a library comprised of routines for various projects
Summary(pl):	phoenix - biblioteka ze zbiorem procedur dla rnych projektw
Version:	%{_pver}
License:	LGPL
Group:		Libraries
URL:		http://www.mohawksoft.com/devel/phoenix/

%description -n phoenix
This is phoenix, it is a library comprised of routines written for
various projects. There is no underlying purpose or string that binds
them together, it is just a collection of nifty routines.

%description -n phoenix -l pl
Ten pakiet zawiera phoenix - bibliotek zawierajc zbir procedur
napisanych dla rnych projektw.

%package -n phoenix-devel
Summary:	Header files for phoenix library
Summary(pl):	Pliki nagwkowe biblioteki phoenix
Version:	%{_pver}
License:	LGPL
Group:		Development/Libraries
Requires:	phoenix = %{epoch}:%{_pver}-%{release}

%description -n phoenix-devel
Header files for phoenix library.

%description -n phoenix-devel -l pl
Pliki nagwkowe biblioteki phoenix.

%package -n phoenix-static
Summary:	Static phoenix library
Summary(pl):	Statyczna biblioteka phoenix
Version:	%{_pver}
License:	LGPL
Group:		Development/Libraries
Requires:	phoenix-devel = %{epoch}:%{_pver}-%{release}

%description -n phoenix-static
Static version of phoenix library.

%description -n phoenix-static -l pl
Statyczna wersja biblioteki phoenix.

%prep
%setup -q -b1 -n phoenix
%patch0 -p1
%patch1 -p1

%build
[ ! -d lib ] && mkdir lib
cd src
ln -sf Linux.mak config.mak

%{__make} \
	GCC="%{__cxx} -DLINUX -DGCC -DPOSIX" \
	CCOPT="%{rpmcxxflags}"

%{__make} install
rm -f *.o

%{__make} phoenix.so \
	GCC="%{__cxx} -DLINUX -DGCC -DPOSIX" \
	CCOPT="%{rpmcxxflags} -fPIC" \
	LARGS="-Wl,-soname=libphoenix.so" \
	CENDLIB="-lm -lpthread -lpq -lodbc"

install phoenix.so ../lib/libphoenix.so

cd -

%{__make} -C msession \
	GCC="%{__cxx} -DLINUX -DGCC -DPOSIX" \
	CCOPT="%{rpmcxxflags}" \
	CENDLIB="-L../lib -lphoenix"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/msession,%{_sbindir},%{_includedir}/phoenix,%{_sysconfdir}}

install lib/libphoenix.* $RPM_BUILD_ROOT%{_libdir}

install src/{[!bmpstu]*,m[!befi]*,memheap,metadef,mf[!as]*,session}.h \
	$RPM_BUILD_ROOT%{_includedir}/phoenix

install msession/msession{d,rc} $RPM_BUILD_ROOT%{_sbindir}
install msession/*.so $RPM_BUILD_ROOT%{_libdir}/msession

install msession/msessiond.cfg $RPM_BUILD_ROOT%{_sysconfdir}/msessiond.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n phoenix -p /sbin/ldconfig
%postun	-n phoenix -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc msession/plugin.cpp msession/{PLUGINS,README}
%attr(755,root,root) %{_sbindir}/msession*
%dir %{_libdir}/msession
%attr(755,root,root) %{_libdir}/msession/*.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/msessiond.conf

%files -n phoenix
%defattr(644,root,root,755)
%doc src/README
%attr(755,root,root) %{_libdir}/libphoenix.so

%files -n phoenix-devel
%defattr(644,root,root,755)
%{_includedir}/phoenix

%files -n phoenix-static
%defattr(644,root,root,755)
%{_libdir}/libphoenix.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: msession.spec,v $
Revision 1.17  2005/12/30 11:57:04  pluto
- gcc4 fixes, reentrand build, release 3.

Revision 1.16  2005/05/06 11:53:11  qboosh
- strict internal deps, sorted verify() flags

Revision 1.15  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.14  2003/09/03 14:28:04  adamg
- fixed epoch issue

Revision 1.13  2003/05/28 12:59:48  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 13:42:09  adgor
- Added epoch to allow phoenix upgrade

Revision 1.11  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.10  2003/05/25 05:50:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/12 23:05:35  qboosh
- fixed phoenix version in Requires

Revision 1.8  2003/03/12 21:06:49  qboosh
- updated phoenix to 031117E; added Version to phoenix-*; soname is back
- updated linking (link libphoenix with all needed libraries, don't link
  daemon and plugins with anything redundant
- removed -pgsql subpackage - there is no PostgreSQL-specific plugin now
  (pgsql and odbc support is built in libphoenix, SQL plugins use that)
- moved plugins to %%{_libdir}/msession (using plugindir patch)
- release 2.1 (for testing)

Revision 1.7  2003/03/12 17:18:15  qboosh
- updated URL, noted download URL

Revision 1.6  2003/02/10 19:33:47  adgor
- Fixed %%build/%%install/%%files (review this please)
- Now builds
- Release 2

Revision 1.5  2003/02/07 17:30:16  djrzulf
- updated,
- some cosmetics should be done (i will done it when i come back :) ),

Revision 1.4  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.3  2002/06/17 18:58:32  qboosh
- link libphoenix.so with -lpthread
- release 2 (bugfix for unresolved symbols in php-msession)

Revision 1.2  2002/05/14 20:26:46  qboosh
- ExclusiveArch: ix86 (asm inlines used for atomic operations)

Revision 1.1  2002/05/04 19:35:08  qboosh
- new; TODO: init script for msessiond
